[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#820193: jessie-pu: package quota/4.01-8



Package: release.debian.org
Severity: normal
Tags: jessie
User: release.debian.org@packages.debian.org
Usertags: pu

Hi,

I'd like to update quota in stable because a lot more people than anticipated
seem to be hit by #788963. The attached debdiff shows the changes that have
been made in the current package to resolve the issue and, judging from the
feedback, it works well for all who tested it.

Michael
diff -u quota-4.01/debian/changelog quota-4.01/debian/changelog
--- quota-4.01/debian/changelog
+++ quota-4.01/debian/changelog
@@ -1,3 +1,11 @@
+quota (4.01-8+deb8u1) stable-proposed-updates; urgency=medium
+
+  * Change invocation of quota services, so systemd takes over most of the work.
+    Only the initial check is still performed by the service file provide by
+    quota.
+
+ -- Michael Meskes <meskes@debian.org>  Wed, 06 Apr 2016 14:12:06 +0200
+
 quota (4.01-8) unstable; urgency=medium
 
   * Use libtirpc include files to prevent a segfault due to incompatible
diff -u quota-4.01/debian/install quota-4.01/debian/install
--- quota-4.01/debian/install
+++ quota-4.01/debian/install
@@ -4,6 +4,7 @@
 debian/quotaon.sh			/usr/share/quota/
 debian/quotaoff.sh			/usr/share/quota/
 debian/quotarpc.sh			/usr/share/quota/
+debian/quota-initial-check.sh		/usr/share/quota/
 
 ldap-scripts/applySystemQuotas.pl	/usr/share/quota/ldap
 ldap-scripts/edquota_editor		/usr/share/quota/ldap
diff -u quota-4.01/debian/quota.service quota-4.01/debian/quota.service
--- quota-4.01/debian/quota.service
+++ quota-4.01/debian/quota.service
@@ -1,19 +1,15 @@
 [Unit]
-Description=Check And Enable File System Quotas
-Documentation=man:quotaon(8)
+Description=Initial Check File System Quotas
+Documentation=man:quotacheck(8)
 DefaultDependencies=no
-After=systemd-readahead-collect.service systemd-readahead-replay.service systemd-remount-fs.service
-Before=sysinit.target shutdown.target
-ConditionPathExists=/usr/share/quota/quotaon.sh
-
-# Make sure quota is correctly stopped.
-Conflicts=shutdown.target
+After=systemd-remount-fs.service
+Before=systemd-quotacheck.service shutdown.target
+ConditionPathExists=/usr/share/quota/quota-initial-check.sh
 
 [Service]
 Type=oneshot
 RemainAfterExit=yes
-ExecStart=/usr/share/quota/quotaon.sh
-ExecStop=/usr/share/quota/quotaoff.sh
+ExecStart=/usr/share/quota/quota-initial-check.sh
 StandardOutput=journal+console
 
 [Install]
only in patch2:
unchanged:
--- quota-4.01.orig/debian/quota-initial-check.sh
+++ quota-4.01/debian/quota-initial-check.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+# names of binaries
+check=/sbin/quotacheck
+on=/sbin/quotaon
+quotaisnew=/var/lib/quota/new
+
+ALLFLAGS=-aug
+CHECKALLFLAGS=${ALLFLAGS}m
+
+set -e
+
+. /lib/lsb/init-functions
+
+# Check if quota has been enabled already
+LC_MESSAGES=C $on -ap|grep -q "is on" && exit 0
+
+# option 'skip' takes precedence even for newly installed quota package 
+skip="no"
+if grep "quotacheck.mode=skip" /proc/cmdline >/dev/null 2>&1; then
+	skip="yes"
+fi
+
+# Check all filesystems if quota is new
+if [ -x $check -a $skip = "no" -a -f $quotaisnew ] ; then
+	log_action_begin_msg 'Checking quotas';
+	$check -c $CHECKALLFLAGS
+	log_action_end_msg 0
+fi
+
+# Remove special file
+rm -f $quotaisnew
+
+exit 0

Reply to: